import re
countries = {
'Afghanistan': ['afghanistan', 'afghan'],
'Albania': ['albania', 'albanian'],
'Algeria': ['algeria', 'algerian'],
'Andorra': ['andorra', 'andorran'],
'Angola': ['angola', 'angolan'],
'Antigua and Barbuda': ['antigua and barbuda', 'antigua', 'barbuda'],
'Argentina': ['argentina', 'argentine', 'argentinian'],
'Armenia': ['armenia', 'armenian'],
'Australia': ['australia', 'aus'],
'Austria': ['austria', 'austrian'],
'Azerbaijan': ['azerbaijan', 'azerbaijani'],
'Bahamas': ['bahamas', 'bahamian'],
'Bahrain': ['bahrain', 'bahraini'],
'Bangladesh': ['bangladesh', 'bd','ban'],
'Barbados': ['barbados', 'barbadian'],
'Belarus': ['belarus', 'belarusian'],
'Belgium': ['belgium', 'belgian'],
'Belize': ['belize', 'belizean'],
'Benin': ['benin', 'beninese'],
'Bhutan': ['bhutan', 'bhutanese'],
'Bolivia': ['bolivia', 'bolivian'],
'Bosnia and Herzegovina': ['bosnia and herzegovina', 'bosnia', 'herzegovina', 'bosnian', 'herzegovinian'],
'Botswana': ['botswana', 'botswanan'],
'Brazil': ['brazil', 'brasil', 'brazilian'],
'Brunei': ['brunei', 'bruneian'],
'Bulgaria': ['bulgaria', 'bulgarian'],
'Burkina Faso': ['burkina faso', 'burkinabe'],
'Burundi': ['burundi', 'burundian'],
'Cambodia': ['cambodia', 'cambodian'],
'Cameroon': ['cameroon', 'cameroonian'],
'Canada': ['canada', 'ca'],
'Cape Verde': ['cape verde', 'cape verdean'],
'Central African Republic': ['central african republic', 'central african'],
'Chad': ['chad', 'chadian'],
'Chile': ['chile', 'chilean'],
'China': ['china', 'zhongguo', 'chinese'],
'Colombia': ['colombia', 'colombian'],
'Comoros': ['comoros', 'comorian'],
'Costa Rica': ['costa rica', 'costa rican'],
'Croatia': ['croatia', 'croatian'],
'Cuba': ['cuba', 'cuban'],
'Cyprus': ['cyprus', 'cypriot'],
'Czech Republic': ['czech republic', 'czech', 'czechia'],
'Denmark': ['denmark', 'danmark'],
    'Djibouti': ['djibouti', 'jibuti'],
    'Dominica': ['dominica'],
    'Dominican Republic': ['dominican republic', 'dominican'],
    'Ecuador': ['ecuador', 'ecuadorian'],
    'Egypt': ['egypt', 'egyptian'],
    'El Salvador': ['el salvador', 'salvadoran'],
    'Equatorial Guinea': ['equatorial guinea', 'equatorial'],
    'Eritrea': ['eritrea', 'eritrean'],
    'Estonia': ['estonia', 'estonian'],
    'Eswatini': ['eswatini', 'swaziland'],
    'Ethiopia': ['ethiopia', 'ethiopian'],
    'Fiji': ['fiji', 'fijian'],
    'Finland': ['finland', 'finnish'],
    'France': ['france', 'french'],
    'Gabon': ['gabon',  'gabonese'],
    'Gambia': ['gambia', 'gambian'],
    'Georgia': ['georgia',  'georgian'],
    'Germany': ['germany',  'german'],
    'Ghana': ['ghana',  'ghanaian'],
    'Greece': ['greece', 'greek'],
    'Grenada': ['grenada', 'grenadian'],
    'Guatemala': ['guatemala',  'guatemalan'],
    'Guinea': ['guinea', 'guinean'],
    'Guinea-Bissau': ['guinea-bissau',  'guinea'],
    'Guyana': ['guyana', 'guyanese'],
    'Haiti': ['haiti', 'haitian'],
    'Honduras': ['honduras', 'honduran'],
    'Hungary': ['hungary', 'hungarian'],
     'India': ['india', 'ind', 'bharat'],
    'Indonesia': ['indonesia', 'indonesian'],
    'Iran': ['iran', 'iranian'],
    'Iraq': ['iraq', 'iraqi'],
    'Ireland': ['ireland', 'irish'],
    'Israel': ['israel', 'israeli'],
    'Italy': ['italy', 'italia', 'italian'],
    'Jamaica': ['jamaica', 'jamaican'],
    'Japan': ['japan', 'nippon', 'japanese'],
    'Jordan': ['jordan', 'jordanian'],
    'Kazakhstan': ['kazakhstan', 'kazakh'],
    'Kenya': ['kenya', 'kenyan'],
    'Kiribati': ['kiribati', 'gilbertese'],
    'Kuwait': ['kuwait', 'kuwaiti'],
    'Kyrgyzstan': ['kyrgyzstan', 'kyrgyz'],
    'Laos': ['laos',  'lao people\'s democratic republic'],
    'Latvia': ['latvia', 'latvian'],
    'Lebanon': ['lebanon', 'lebanese'],
    'Lesotho': ['lesotho', 'basotho'],
    'Liberia': ['liberia', 'liberian'],
    'Libya': ['libya', 'libyan'],
    'Liechtenstein': ['liechtenstein', 'liechtensteiner'],
    'Lithuania': ['lithuania', 'lithuanian'],
    'Luxembourg': ['luxembourg', 'luxembourger'],
    'Madagascar': ['madagascar', 'malagasy'],
    'Malawi': ['malawi', 'malawian'],
    'Malaysia': ['malaysia', 'malaysian'],
    'Maldives': ['maldives', 'maldivian'],
    'Mali': ['mali', 'malian'],
    'Malta': ['malta', 'maltese'],
    'Marshall Islands': ['marshall islands', 'marshallese'],
    'Mauritania': ['mauritania', 'mauritanian'],
    'Mauritius': ['mauritius', 'mauritian'],
    'Mexico': ['mexico', 'mexican'],
    'Micronesia': ['micronesia', 'micronesian'],
    'Moldova': ['moldova', 'moldovan'],
    'Monaco': ['monaco', 'monegasque'],
    'Mongolia': ['mongolia', 'mongolian'],
    'Montenegro': ['montenegro', 'montenegrin'],
    'Morocco': ['morocco', 'moroccan'],
    'Mozambique': ['mozambique', 'mozambican'],
    'Myanmar': ['myanmar', 'burma'],
    'Namibia': ['namibia'],
    'Nauru': ['nauru'],
    'Nepal': ['nepal'],
    'Netherlands': ['netherlands', 'holland', 'dutch'],
    'New Zealand': ['new zealand'],
    'Nicaragua': ['nicaragua'],
    'Niger': ['niger'],
    'Nigeria': ['nigeria'],
    'North Korea': ['north korea', 'democratic people\'s republic of korea', 'dprk'],
    'Norway': ['norway', 'norwegian'],
    'Oman': ['oman'],
    'Pakistan': ['pakistan', 'pak'],
    'Palau': ['palau'],
    'Panama': ['panama'],
    'Papua New Guinea': ['papua new guinea'],
    'Paraguay': ['paraguay', 'paraguayan'],
    'Peru': ['peru', 'peruvian'],
    'Philippines': ['philippines',  'filipino'],
    'Poland': ['poland', 'polish'],
    'Portugal': ['portugal', 'portuguese'],
    'Qatar': ['qatar'],
    'Romania': ['romania', 'romanian'],
    'Russia': ['russia', 'russian federation', 'russian'],
    'Rwanda': ['rwanda', 'rwandan'],
    'Saint Kitts and Nevis': ['saint kitts and nevis',  'saint kitts', 'nevis'],
    'Saint Lucia': ['saint lucia',  'saint lucian'],
    'Saint Vincent and the Grenadines': ['saint vincent and the grenadines',  'saint vincent'],
    'Samoa': ['samoa',  'samoan'],
    'San Marino': ['san marino'],
    'Sao Tome and Principe': ['sao tome and principe',  'sao tome', 'principe'],
    'Saudi Arabia': ['saudi arabia',  'kingdom of saudi arabia', 'saudi'],
    'Senegal': ['senegal', 'senegalese'],
    'Serbia': ['serbia', 'serbian'],
    'Seychelles': ['seychelles', 'seychellois'],
    'Sierra Leone': ['sierra leone',  'sierra leonean'],
    'Singapore': ['singapore', 'singaporean'],
    'Slovakia': ['slovakia', 'slovak'],
    'Slovenia': ['slovenia', 'slovenian'],
    'Solomon Islands': ['solomon islands'],
    'Somalia': ['somalia', 'somalian'],
    'South Africa': ['south africa',  'suid-afrika'],
    'South Korea': ['south korea', 'korea', 'korean', 'republic of korea'],
    'South Sudan': ['south sudan'],
    'Spain': ['spain', 'españa', 'spanish'],
    'Sri Lanka': ['sri lanka'],
    'Sudan': ['sudan', 'sudanese'],
    'Suriname': ['suriname', 'surinamese'],
    'Sweden': ['sweden', 'swedish'],
    'Switzerland': ['switzerland', 'swiss'],
    'Syria': ['syria', 'syrian'],
    'Taiwan': ['taiwan', 'taiwanese', 'republic of china'],
    'Tajikistan': ['tajikistan', 'tajik'],
    'Tanzania': ['tanzania', 'tanzanian'],
    'Thailand': ['thailand', 'thai'],
    'Timor-Leste': ['timor-leste', 'east timor', ],
    'Togo': ['togo', 'togolese'],
    'Tonga': ['tonga',  'tongan'],
    'Trinidad and Tobago': ['trinidad and tobago', 'tto', 'trinidad', 'tobago'],
    'Tunisia': ['tunisia', 'tunisian'],
    'Turkey': ['turkey', 'turkish'],
    'Turkmenistan': ['turkmenistan', 'turkmen'],
    'Tuvalu': ['tuvalu',  'tuvaluan'],
    'Uganda': ['uganda'],
    'Ukraine': ['ukraine', 'ukrainian'],
    'United Arab Emirates': ['united arab emirates', 'uae'],
    'United Kingdom': ['uk', 'united kingdom', 'britain', 'england'],
    'United States': [ 'usa', 'united states', 'america'],
    'Uruguay': ['uruguay', 'uruguayan'],
    'Uzbekistan': ['uzbekistan', 'uzbek'],
    'Vanuatu': ['vanuatu', 'vanuatuan'],
    'Vatican City': ['vatican', 'vatican city'],
    'Venezuela': ['venezuela', 'venezuelan'],
    'Vietnam': ['vietnam', 'vietnamese'],
    'Yemen': ['yemen', 'yemeni'],
    'Zambia': ['zambia', 'zambian'],
    'Zimbabwe': ['zimbabwe', 'zimbabwean']
    
    }



def find_country(text):


    words = re.findall(r'\b\w+\b', text)

    for country, aliases in countries.items():
        for alias in aliases:
            for word in words:
                if alias==word.lower():
                    return country
    return None

def find_countries(text):
    cou=[]
    words = re.findall(r'\b\w+\b', text)

    for country, aliases in countries.items():
        for alias in aliases:
            for word in words:
                if alias==word.lower():
                
                    cou.append(country)
    return cou

